﻿<!-- DevExtreme library -->
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/dx.all.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/polyfill.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/exceljs.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/FileSaver/FileSaver.min.js"></script>


<script type="text/javascript">
	// console.log(data_json[0]);

	var _height_Window 	= $(window).height();
	var _height_Header 	= $('.iq-top-navbar').height();
	var _height_Title 	= $('.iq-card-header').height();
    var _height_Footer = $('.iq-footer').height();

	var flag_fixed = false;
	if($(window).width() > 760){
		$('#gridContainer').height(_height_Window - _height_Header - _height_Title - _height_Footer - 76);
		flag_fixed = true;
	}else{
		$('#gridContainer').height(_height_Window);
		if($(window).width() > 375){
			flag_fixed = true;
		}else{
			flag_fixed = false;
		}
	}
    
    $('.btnXemBaoCaoDanhSachDiLamTuan').click(function () {
         jQuery("#loading").fadeIn();
        var NgayDangKyTuNgay = $('#NgayDangKyTuNgay').val();
        var NgayDangKyDenNgay = $('#NgayDangKyDenNgay').val();
        var DonVi = $('#DonVi').val();
        console.log(DonVi);
        $.ajax({
            url: '@Url.Action("GetBaoCaoThongTinYTeTang", "Admin")',
            type: 'POST',
            data: { NgayDangKyTuNgay: NgayDangKyTuNgay, NgayDangKyDenNgay: NgayDangKyDenNgay, DonVi: DonVi },
            dataType: 'json',
            success: function (data) {
                $("#gridContainer").dxDataGrid({
                    dataSource: data,
				    showBorders: true,
                    showRowLines: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
				    paging: {
                      pageSize: 10,
                    },
                    pager: {
                      showPageSizeSelector: true,
                      allowedPageSizes: [10, 25, 50, 100],
                    },
                    columnAutoWidth: true,
                    export: {
                        enabled: true
                    },
                    onExporting(e) {
                      const workbook = new ExcelJS.Workbook();
                      const worksheet = workbook.addWorksheet('BaoCaoThongTinYTeTang');
                      var borderStylePattern = { style: 'thick', color: { argb: 'FF7E7E7E' } };
                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet,
                        topLeftCell: { row: 4, column: 1 },
                      }).then((cellRange) => {
                        // header
                        const headerRow = worksheet.getRow(2);
                        headerRow.height = 30;
                        worksheet.mergeCells(2, 1, 2, 8);

                        headerRow.getCell(1).value = 'THÔNG TIN Y TẾ ';
                        headerRow.getCell(1).font = { name: 'Arial', size: 22 };
                        headerRow.getCell(1).alignment = { horizontal: 'center' };

                        const headerRow1 = worksheet.getRow(3);
                        headerRow1.height = 20;
                        worksheet.mergeCells(3, 1, 3, 8);

                        headerRow1.getCell(2).value = '( Phòng chống dịch Covid-19)';
                        headerRow1.getCell(2).font = { name: 'Arial', size: 16 };
                        headerRow1.getCell(2).alignment = { horizontal: 'center' };
                        
                      }).then(() => {
                        workbook.xlsx.writeBuffer().then((buffer) => {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'BaoCaoThongTinYTeTang.xlsx');
                        });
                      });
                      e.cancel = true;
                    },
                    columns:
                        [
                            {
                                caption: "STT",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption: "",
                                            dataField: "STT",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            }, 
                            {
                                caption: "Họ tên",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "HoTen",
                                            alignment: "left"
                                        }]
                                    }
                                ]
                            },{
                                caption: "Bộ phận",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "DonViChiTiet",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },
                            {
                                headerCellTemplate: function (header, info) {
                                    $('<div>')
                                        .html("Đã tiêm vắc xin</br>ngừa Covid-19</br>( Ghi số  mũi </br>đã được tiêm)")
                                        .appendTo(header);
                                },
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "SoMuiTiem",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                headerCellTemplate: function (header, info) {
                                    $('<div>')
                                        .html("Ngày test nhanh</br>Covid-19</br>gần nhất")
                                        .appendTo(header);
                                },
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "NgayTestGanNhat",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                headerCellTemplate: function (header, info) {
                                    $('<div>')
                                        .html("Công việc cần vào làm</br>tại Tổng công ty")
                                        .appendTo(header);
                                },
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "LyDo",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                headerCellTemplate: function (header, info) {
                                    $('<div>')
                                        .html("Thời gian</br>ra vào Tổng công ty")
                                        .appendTo(header);
                                },
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "ThoiGianLamViec",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },
                            {
                                caption: "Trong vòng 14 ngày qua",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        headerCellTemplate: function (header, info) {
                                            $('<div>')
                                                .html("Có sốt, ho, khó thở,</br>viêm phổi, Đau họng,</br>mệt mỏi")
                                                .appendTo(header);
                                        },
                                        alignment: "center",
                                        columns: [{
                                            caption: "",
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "Trong14Ngay_HoSot",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        headerCellTemplate: function (header, info) {
                                            $('<div>')
                                                .html("Có tiếp xúc với ca</br>nghi nhiễm hoặc F0")
                                                .appendTo(header);
                                        },
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "Trong14Ngay_TiepXuc",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        headerCellTemplate: function (header, info) {
                                            $('<div>')
                                                .html("Xung quanh nhà có ca</br>nghi nhiễm hoặc F0")
                                                .appendTo(header);
                                        },
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "Trong14Ngay_XungQuanhNha",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                headerCellTemplate: function (header, info) {
                                    $('<div>')
                                        .html("Người nhà ở cùng</br>có làm nơi nguy cao </br>nhiễm Covid-19 cao")
                                        .appendTo(header);
                                },
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"",
                                            dataField: "NguoiOCung",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            }
                        ],
                    
                });
                 jQuery("#loading").fadeOut();
            },
            error: function() {
               jQuery("#loading").fadeOut();
            }
		 })
    })
    



</script>
